<div class="container">
  <p id="notice"><%= notice %></p>
  <p><%= @source %></p>

  <h1 class="d-flex justify-content-center">Problem Set 1: Basics</h1>

  <div class="container">
    <h3>Divide By Zero Exception</h3>
    <p>
      At production level, the error or bug happening on the server do not need to be shown.
      This is because attackers who wants to hack the server might find this information useful to them.
      However, for the developer, this information is needed to debug the error.
      Thus, rails show the user-friendly error page in development mode when request are local.
      Setting <em>consider_all_requests_local=true</em> tells the server to consider all requests as local.
      This enable to see user-friendly error page in production mode.
    </p>
    <p>
      Before dividing by zero, the message "About to divide by zero" is written to log
      to helps the developer why this happen. This logging process is achieved by using <em>logger.debug</em>.
    </p>
    <%= link_to "Divide By Zero", divide_by_zero_basic_path(@basics), method: :get, class: "divideZero btn btn-danger" %>
  </div>

  <table class="mt-5 mb-3 table table-striped table-bordered">
    <thead>
    <tr>
      <th>Headlines from New York Times</th>
    </tr>
    </thead>

    <tbody>
    <% @basics1.each do |basic| %>
      <tr>
        <td><a href="<%= basic.link %>"><%= basic.headline %></a></td>
      </tr>

    <% end %>
    </tbody>
  </table>

  <table class="mt-5 mb-3 table table-striped table-bordered">
    <thead>
    <tr>
      <th>Headlines from Bangkok Post</th>
    </tr>
    </thead>

    <tbody>
    <% @basics2.each do |basic| %>
      <tr>
        <td><a class="rows" href="<%= basic.link %>"><%= basic.headline %></a> </td>
      </tr>
    <% end %>
    </tbody>
  </table>

</div>
